Appointments+ Facebook AppID Error

I am receiving an error from witn Appointments+. Seems that it is calling a bad Facebook AppID. Here is the error:

{
"error": {
"message": "Unsupported get request. Object with ID '170713183042873' does not exist, cannot be loaded due to missing permissions, or does not support this operation. Please read the Graph API documentation at https://developers.facebook.com/docs/graph-api",
"type": "GraphMethodException",
"code": 100,
"fbtrace_id": "BUXLiNYbnDx"
}
}

Went through trooubleshooting. All plugin s off except APP+, still had issue. Turned ALL plugins off, no issue. Only happens with APP+ turned on.